Pkgcheck Warnings

  • All Versions
    • OutdatedBlocker
      outdated blocker RDEPEND="!net-firewall/shorewall-lite": last match removed 8.49 years ago
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 213, 214, 215, 228, 229, 230, 243, 244, 245, 246, 336
    • OutdatedBlocker
      outdated blocker RDEPEND="!net-firewall/shorewall6-lite": last match removed 8.49 years ago
    • OutdatedBlocker
      outdated blocker RDEPEND="!net-firewall/shorewall-core": last match removed 8.49 years ago
    • DuplicateFiles
      duplicate identical files in FILESDIR: 'files/shorewall-lite.confd-r1', 'files/shorewall.confd-r1'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Digest-SHA'
    • PotentialStable
      slot(0), stabled arches: [ amd64, ppc, ppc64, sparc, x86 ], potential: [ ~hppa ]
    • OutdatedBlocker
      outdated blocker RDEPEND="!net-firewall/shorewall6": last match removed 8.49 years ago
    • NonexistentBlocker
      nonexistent blocker RDEPEND="!<sys-apps/systemd-214": no matches in repo history
    • UnstableOnly
      for arch: [ hppa ], all versions are unstable: [ 5.2.8-r1 ]
    • EmptyGlobalAssignment
      line 93: empty global assignment: DEPEND=""
    • OutdatedBlocker
      outdated blocker RDEPEND="!net-firewall/shorewall-init": last match removed 8.49 years ago
  • 5.2.8-r1
    • OutdatedBlocker
      outdated blocker RDEPEND="!net-firewall/shorewall-lite": last match removed 8.49 years ago
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 213, 214, 215, 228, 229, 230, 243, 244, 245, 246, 336
    • OutdatedBlocker
      outdated blocker RDEPEND="!net-firewall/shorewall6-lite": last match removed 8.49 years ago
    • OutdatedBlocker
      outdated blocker RDEPEND="!net-firewall/shorewall-core": last match removed 8.49 years ago
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Digest-SHA'
    • PotentialStable
      slot(0), stabled arches: [ amd64, ppc, ppc64, sparc, x86 ], potential: [ ~hppa ]
    • OutdatedBlocker
      outdated blocker RDEPEND="!net-firewall/shorewall6": last match removed 8.49 years ago
    • NonexistentBlocker
      nonexistent blocker RDEPEND="!<sys-apps/systemd-214": no matches in repo history
    • EmptyGlobalAssignment
      line 93: empty global assignment: DEPEND=""
    • OutdatedBlocker
      outdated blocker RDEPEND="!net-firewall/shorewall-init": last match removed 8.49 years ago

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.